{
  "1": {
    "inputs": {
      "refinement_iterations": 0,
      "use_multimask": true,
      "output_best_mask": true,
      "sam3_model": [
        "2",
        0
      ],
      "image": [
        "9",
        0
      ],
      "positive_points": [
        "8",
        0
      ]
    },
    "class_type": "SAM3Segmentation",
    "_meta": {
      "title": "SAM3 Point Segmentation"
    }
  },
  "2": {
    "inputs": {
      "precision": "auto",
      "attention": "auto",
      "compile": false
    },
    "class_type": "LoadSAM3Model",
    "_meta": {
      "title": "(down)Load SAM3 Model"
    }
  },
  "4": {
    "inputs": {
      "x": 0.5,
      "y": 0.5,
      "is_foreground": true
    },
    "class_type": "SAM3CreatePoint",
    "_meta": {
      "title": "SAM3 Create Point"
    }
  },
  "8": {
    "inputs": {
      "point_1": [
        "4",
        0
      ],
      "point_2": [
        "12",
        0
      ],
      "point_3": [
        "13",
        0
      ]
    },
    "class_type": "SAM3CombinePoints",
    "_meta": {
      "title": "SAM3 Combine Points"
    }
  },
  "9": {
    "inputs": {
      "image": ""
    },
    "class_type": "ETN_LoadImageBase64",
    "_meta": {
      "title": "Load Image (Base64)"
    }
  },
  "10": {
    "inputs": {
      "mask": [
        "1",
        0
      ]
    },
    "class_type": "MaskToImage",
    "_meta": {
      "title": "Convert Mask to Image"
    }
  },
  "11": {
    "inputs": {
      "filename_prefix": "ComfyUI",
      "webhook_url": "",
      "metadata": "",
      "external_uid": "",
      "images": [
        "10",
        0
      ]
    },
    "class_type": "Webhook",
    "_meta": {
      "title": "Webhook Image Saver"
    }
  },
  "12": {
    "inputs": {
      "x": 0.5,
      "y": 0.5,
      "is_foreground": true
    },
    "class_type": "SAM3CreatePoint",
    "_meta": {
      "title": "SAM3 Create Point"
    }
  },
  "13": {
    "inputs": {
      "x": 0.5,
      "y": 0.5,
      "is_foreground": true
    },
    "class_type": "SAM3CreatePoint",
    "_meta": {
      "title": "SAM3 Create Point"
    }
  }
}